Module tdlight.api
Package it.tdlight.jni

# Class TdApi.Sticker

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Sticker

Enclosing class:
  TdApi

public static final class TdApi.Sticker extends TdApi.Object
Describes a sticker.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`emoji`
Emoji corresponding to the sticker.
`TdApi.StickerFormat`
`format`
Sticker format.
`TdApi.StickerFullType`
`fullType`
Sticker's full type.
`int`
`height`
Sticker height; as defined by the sender.
`long`
`id`
Unique sticker identifier within the set; 0 if none.
`TdApi.ClosedVectorPath[]`
`outline`
Sticker's outline represented as a list of closed vector paths; may be empty.
`long`
`setId`
Identifier of the sticker set to which the sticker belongs; 0 if none.
`TdApi.File`
`sticker`
File containing the sticker.
`TdApi.Thumbnail`
`thumbnail`
Sticker thumbnail in WEBP or JPEG format; may be null.
`int`
`width`
Sticker width; as defined by the sender.

## Constructor Summary

Constructors
Constructor
Description
`Sticker()`
Describes a sticker.
`Sticker(long id, long setId, int width, int height, String emoji, TdApi.StickerFormat format, TdApi.StickerFullType fullType, TdApi.ClosedVectorPath[] outline, TdApi.Thumbnail thumbnail, TdApi.File sticker)`
Describes a sticker.
`Sticker(DataInput input)`
Describes a sticker.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Unique sticker identifier within the set; 0 if none.

### setId

public long setId
Identifier of the sticker set to which the sticker belongs; 0 if none.

### width

public int width
Sticker width; as defined by the sender.

### height

public int height
Sticker height; as defined by the sender.

### emoji

public String emoji
Emoji corresponding to the sticker.

### format

public TdApi.StickerFormat format
Sticker format.

### fullType

public TdApi.StickerFullType fullType
Sticker's full type.

### outline

public TdApi.ClosedVectorPath[] outline
Sticker's outline represented as a list of closed vector paths; may be empty. The coordinate system origin is in the upper-left corner.

### thumbnail

public TdApi.Thumbnail thumbnail
Sticker thumbnail in WEBP or JPEG format; may be null.

### sticker

public TdApi.File sticker
File containing the sticker.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### Sticker

public Sticker()
Describes a sticker.

### Sticker

public Sticker(long id, long setId, int width, int height, String emoji, TdApi.StickerFormat format, TdApi.StickerFullType fullType, TdApi.ClosedVectorPath[] outline, TdApi.Thumbnail thumbnail, TdApi.File sticker)
Describes a sticker.

Parameters:
  `id` - Unique sticker identifier within the set; 0 if none.
  `setId` - Identifier of the sticker set to which the sticker belongs; 0 if none.
  `width` - Sticker width; as defined by the sender.
  `height` - Sticker height; as defined by the sender.
  `emoji` - Emoji corresponding to the sticker.
  `format` - Sticker format.
  `fullType` - Sticker's full type.
  `outline` - Sticker's outline represented as a list of closed vector paths; may be empty. The coordinate system origin is in the upper-left corner.
  `thumbnail` - Sticker thumbnail in WEBP or JPEG format; may be null.
  `sticker` - File containing the sticker.

### Sticker

public Sticker(DataInput input) throws IOException
Describes a sticker.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`